Bug 1269244 - let rsyslog & syslog-ng play nice together: sync /etc/logrotate.d/syslog
Summary: let rsyslog & syslog-ng play nice together: sync /etc/logrotate.d/syslog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rsyslog
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiří Vymazal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1287470
TreeView+ depends on / blocked
 
Reported: 2015-10-06 19:07 UTC by Terje Røsten
Modified: 2017-01-16 19:51 UTC (History)
6 users (show)

Fixed In Version: rsyslog-8.24.0-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1287470 (view as bug list)
Environment:
Last Closed: 2017-01-16 19:51:55 UTC
Type: Bug


Attachments (Terms of Use)
Patch to sync /etc/logrotate.d/syslog (1.50 KB, patch)
2015-10-06 19:10 UTC, Terje Røsten
no flags Details | Diff
proposed patch (655 bytes, patch)
2016-12-21 12:50 UTC, Jiří Vymazal
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Github 1342 0 None None None 2016-12-21 09:49:17 UTC
Red Hat Bugzilla 1298767 0 unspecified CLOSED dnf -y group install with-optional --best --allowerasing 'System Tools' 2021-02-22 00:41:40 UTC

Internal Links: 1298767

Description Terje Røsten 2015-10-06 19:07:36 UTC
Description of problem:

syslog-ng and rsyslog both wants to install the file:
  /etc/logrotate.d/syslog

To be able to have both excellent loggers installed at the same time
this file must be identical.

Attached is a patch to change /etc/logrotate.d/syslog such that syslog-ng
also can use the file unmodified.

A followup report is sent to syslog-ng package to sync with the new version of the file.

Setup has been tested, install both rsyslog and syslog-ng is now possible, make
it very easy to switch between loggers as users may want. 
Logrotate works as before.

Please apply attached patch.

Comment 1 Terje Røsten 2015-10-06 19:10:43 UTC
Created attachment 1080353 [details]
Patch to sync /etc/logrotate.d/syslog

Comment 2 Terje Røsten 2015-10-06 19:16:54 UTC
For syslog-ng part see: 
 https://bugzilla.redhat.com/show_bug.cgi?id=1269245

Comment 3 Terje Røsten 2015-11-17 19:19:48 UTC
Would be nice to get fix included.

Comment 4 Terje Røsten 2015-12-02 19:56:38 UTC
Is this package maintained or should it be ophaned? 

Two months to apply a simple fix?

More fun added: this issue now crashes Fedora 23 installer:

 https://bugzilla.redhat.com/show_bug.cgi?id=1287841

Comment 5 Fedora End Of Life 2016-07-19 18:07:26 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Tomas Heinrich 2016-08-09 13:20:42 UTC
This should be resolved in some way but syncing the files is not a good solution. They should be split (renamed).

Comment 8 Jiří Vymazal 2016-12-21 09:49:17 UTC
created and linked upstream bug

Comment 9 Jiří Vymazal 2016-12-21 12:50:51 UTC
Created attachment 1234388 [details]
proposed patch

Comment 10 Jiří Vymazal 2016-12-21 12:55:48 UTC
renamed conflicting file (in the end name is not significant as main logrotate conf includes all files in /etc/logrotate.d/ ) this way concurrent existence with other syslog packages possible

Comment 11 Fedora Update System 2017-01-13 14:05:21 UTC
rsyslog-8.24.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1200343ac

Comment 12 Fedora Update System 2017-01-14 06:21:28 UTC
rsyslog-8.24.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1200343ac

Comment 13 Fedora Update System 2017-01-16 19:51:55 UTC
rsyslog-8.24.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.